package domain


type AlibabaWdkSeriesSkuRemoveApiResult struct {
    /*
        错误码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        系列品移除商品成功结果     */
    Model  *AlibabaWdkSeriesSkuRemoveSkuSeriesEditResult `json:"model,omitempty" `

    /*
        错误详情     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        是否成功     */
    Success  *bool `json:"success,omitempty" `

}

func (s *AlibabaWdkSeriesSkuRemoveApiResult) SetErrCode(v string) *AlibabaWdkSeriesSkuRemoveApiResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkSeriesSkuRemoveApiResult) SetModel(v AlibabaWdkSeriesSkuRemoveSkuSeriesEditResult) *AlibabaWdkSeriesSkuRemoveApiResult {
    s.Model = &v
    return s
}
func (s *AlibabaWdkSeriesSkuRemoveApiResult) SetErrMsg(v string) *AlibabaWdkSeriesSkuRemoveApiResult {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkSeriesSkuRemoveApiResult) SetSuccess(v bool) *AlibabaWdkSeriesSkuRemoveApiResult {
    s.Success = &v
    return s
}
